/*=======================================
            News Filters
========================================*/

#news-filters {

    #filters {
        background-color: var(--red);
        border-radius: 0 0 30px 30px;
        padding: 50px 30px 30px;
        justify-content: space-between;
        align-items: center;
        margin-top: -24px;
        width: 100%;

        @media (max-width: 450px) {
            padding: 50px 15px 15px;
        }

        .filter-wrap {
            width: calc(100% - 100px);
            justify-content: space-between;
            align-items: center;
            margin: 0 -12px;

            @media (max-width: 1200px) {
                width: calc(100% + 24px);
            }

            @media (max-width: 800px) {
                width: 100%;
                margin: 0;
            }

            .filter {
                width: calc(100% / 3 - 24px);
                margin: 0 12px;

                @media (max-width: 1000px) {
                    width: calc(50% - 24px);
                    margin-bottom: 12px;
                }

                @media (max-width: 800px) {
                    width: calc(100%);
                    margin: 0 0 12px;
                }

                label {
                    display: block;
                    color: #fff;
                    font-size: 18px;
                    font-weight: 600;
                    line-height: 1;
                    margin-bottom: 7px;
                    padding-left: 2px;

                    @media (max-width: 450px) {
                        font-size: 16px;
                        ;
                    }

                }

                .nice-select {
                    width: 100%;
                }

            }

            .searchbar {
                position: relative;
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                align-items: unset;
                flex-wrap: nowrap;

                input[type="text"] {
                    width: 100%;
                    border: none;
                    border-radius: 15px;
                    padding: 15px 25px;
                    font-size: 18px;
                    line-height: 1;
                    margin: 0;
                    color: var(--darkblue);

                    @media (max-width: 450px) {
                        font-size: 16px;
                    }

                }

                .search-button {
                    width: 70px;
                    height: 100%;
                    background-color: var(--darkblue);
                    border-radius: 0 15px 15px 0;
                    position: absolute;
                    right: 0;
                    justify-content: center;
                    align-items: center;
                    cursor: pointer;

                    svg {
                        width: 21px;
                        height: auto;
                    }

                }

            }

        }

        .reset {
            text-align: center;
            width: 100px;
            font-size: 16px;
            font-weight: 400;
            line-height: 1.3;
            text-decoration: underline;
            cursor: pointer;
            color: #fff;
            padding-top: 20px;

            @media (max-width: 1200px) {
                margin-top: 15px;
                width: 100%;
            }

            @media (max-width: 1000px) {
                margin-top: 0;
            }

            @media (max-width: 450px) {
                padding: 10px 0;
            }

        }

    }

}







/*=======================================
                News Grid
========================================*/

.news-grid {
    padding: 65px 0 100px;

    .section-title {
        font-size: 48px;
        font-weight: 600;
        line-height: 1.2;
        margin-bottom: 30px;
        color: #fff;

        @media (max-width: 1000px) {
            font-size: 40px;
        }

        @media (max-width: 600px) {
            font-size: 35px;
            margin-bottom: 20px;
        }

    }

    .grid {
        justify-content: flex-start;
        align-items: unset;
        margin: 0 -20px;

        @media (max-width: 1200px) {
            margin: 0 -10px;
        }

        /* Article */

        article {
            width: calc(100% / 3 - 40px);
            margin: 0 20px 70px;
            border-radius: 30px;
            overflow: hidden;
            position: relative;
            display: flex;
            flex-direction: column;

            &.hide {
                display: none;
            }

            &:hover {

                .arrow svg path {
                    fill: var(--red);
                }

            }

            @media (max-width: 1200px) {
                width: calc(100% / 3 - 20px);
                margin: 0 10px 20px;
            }

            @media (max-width: 1000px) {
                width: calc(50% - 20px);
            }

            @media (max-width: 700px) {
                width: calc(100% - 20px);
            }

            .image {
                border-radius: 30px;
                position: relative;
                z-index: 3;

                img {
                    border-radius: 30px;
                }

                .cat {
                    background-color: var(--red);
                    color: #fff;
                    font-size: 14px;
                    line-height: 1;
                    font-weight: 500;
                    display: inline-block;
                    padding: 6px 9px;
                    position: absolute;
                    bottom: -11px;
                    left: 30px;
                    font-weight: 600;
                    z-index: 5;

                    @media (max-width: 600px) {
                        left: 20px;
                    }

                }

            }

            .wrap {
                padding: 30px 20px 20px 30px;
                flex-grow: 1;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                background-color: #fff;
                position: relative;
                z-index: 0;

                &:before {
                    content: "";
                    background-color: #fff;
                    position: absolute;
                    z-index: -1;
                    width: 100%;
                    height: 50px;
                    top: -50px;
                    left: 0;
                }

                @media (max-width: 600px) {
                    padding: 30px 20px 20px;
                }

            }

            h3 {
                font-size: 30px;
                line-height: 1.2;
                font-weight: 600;
                margin-bottom: 15px;

                @media (max-width: 1200px) {
                    font-size: 25px;
                }

            }

            .date {
                font-size: 16px;
                line-height: 1;
                font-weight: 400;
                margin-bottom: 15px;
            }

            .excerpt {
                font-size: 16px;
                line-height: 1.5;
                font-weight: 400;

                /* @media (max-width: 800px) {
                        display: none;
                    } */

            }

            .arrow {
                margin-top: 20px;

                @media (max-width: 600px) {
                    margin-top: 10px;
                }

                svg {
                    width: 35px;
                    height: auto;
                    margin-left: auto;

                    path {
                        fill: var(--darkblue);
                        transition: all 0.3s ease-in-out;
                    }

                }

            }

        }

    }

    .loadmore {
        width: 100%;
        text-align: center;
        margin: 50px 0;

        @media (max-width: 450px) {
            margin-bottom: 20px;
        }

        .button {
            display: inline-block;
        }

    }

    .no-results {
        font-size: 30px;
        font-weight: 600;
        line-height: 1.2;
        text-align: center;
        display: none;
        color: #fff;
    }

}







/*=======================================
            Article Intro
========================================*/

.news-intro {
    background-color: var(--red);
    padding: 70px 90px;
    border-radius: 30px;
    position: relative;
    z-index: 5;

    @media (max-width: 1000px) {
        padding: 50px 50px;
    }

    @media (max-width: 600px) {
        padding: 30px;
    }

    .contents {
        color: #fff;

        .post-name {
            border-bottom: 1px solid #fff;
            padding-bottom: 20px;

            h1 {
                font-size: 48px;
                font-weight: 600;
                line-height: 1.1;
                max-width: 900px;

                @media (max-width: 1200px) {
                    font-size: 40px;
                }

                @media (max-width: 800px) {
                    font-size: 35px;
                }

                @media (max-width: 600px) {
                    font-size: 30px;
                }

            }

        }

        .meta {

            .meta-item {
                border-bottom: 1px solid #fff;
                padding: 6px 0;

                p {
                    font-size: 18px;
                    line-height: 1.5;
                    font-weight: 400;

                    @media (max-width: 600px) {
                        font-size: 16px;
                    }

                    strong {
                        font-weight: 700;
                    }

                    span {
                        display: inline-block;
                        color: var(--red);
                        background-color: #fff;
                        font-size: 14px;
                        font-weight: 500;
                        line-height: 1;
                        padding: 5px 10px;
                        border-radius: 10px;
                        margin-left: 5px;
                        position: relative;
                        top: -1px;

                        @media (max-width: 600px) {
                            top: 0;
                        }

                    }

                }

            }

        }

    }

}